/*
 * @Author: PoJun
 * @Date: 2023-08-18 14:01:44
 * @LastEditors: PoJun
 * @LastEditTime: 2023-10-17 15:27:23
 * @Message: 静态路由, 一般开发用, 存在权限的时候用不上
 */
import TabsView from "@/layouts/tabs/TabsView";
import BlankView from "@/layouts/BlankView";

// 路由配置
const options = {
    routes: [
        {
            path: "/login",
            name: "登录页",
            component: () => import("@/pages/login"),
        },
        {
            path: "*",
            name: "404",
            component: () => import("@/pages/exception/404"),
        },
        {
            path: "/403",
            name: "403",
            component: () => import("@/pages/exception/403"),
        },
        {
            path: "/",
            name: "首页",
            component: TabsView,
            redirect: "/home",
            children: [
                {
                    path: "home",
                    name: "首页",
                    meta: {
                        icon: "home",
                    },
                    component: () => import("@/pages/home/home"),
                },
                {
                    path: "account",
                    name: "个人设置",
                    meta: {
                        invisible: true,
                    },
                    component: () => import("@/pages/account"),
                },
                {
                    path: "orgManage",
                    name: "组织管理",
                    meta: {
                        icon: "reconciliation",
                    },
                    component: BlankView,
                    children: [
                        {
                            path: "personnel",
                            name: "人员管理",
                            component: () => import("@/pages/orgManage/personnel"),
                        },
                        {
                            path: "org",
                            name: "组织架构",
                            component: () => import("@/pages/orgManage/org"),
                        },
                        {
                            path: "post",
                            name: "岗位管理",
                            component: () => import("@/pages/orgManage/post"),
                        },
                    ],
                },
                {
                    path: "perSetting",
                    name: "权限设置",
                    meta: {
                        icon: "usergroup-add",
                    },
                    component: BlankView,
                    children: [
                        {
                            path: "user",
                            name: "用户管理",
                            component: () => import("@/pages/perSetting/User"),
                        },
                        {
                            path: "role",
                            name: "角色管理",
                            component: () => import("@/pages/perSetting/Role"),
                        },
                        {
                            path: "menu",
                            name: "菜单管理",
                            component: () => import("@/pages/perSetting/Menu"),
                        },
                    ],
                },
                {
                    path: "sysSetting",
                    name: "系统配置",
                    meta: {
                        icon: "setting",
                    },
                    component: BlankView,
                    children: [
                        {
                            path: "info",
                            name: "系统信息",
                            component: () => import("@/pages/sysSetting/Info"),
                        },
                        {
                            path: "dict",
                            name: "数据字典",
                            component: () => import("@/pages/sysSetting/Dict"),
                        },
                        {
                            path: "dict/detail",
                            name: "字典数据",
                            meta: {
                                highlight: "/sysSetting/dict",
                                invisible: true,
                            },
                            component: () => import("@/pages/sysSetting/DictData"),
                        },
                        {
                            path: "env",
                            name: "环境配置",
                            component: () => import("@/pages/sysSetting/Env"),
                        },
                    ],
                },
            ],
        },
    ],
};

export default options;
